globjects::HeapOnly Class Reference

The HeapOnly class Restricts creation to heap. More...

`#include <globjects/include/globjects/base/HeapOnly.h>`

Inheritance diagram for globjects::HeapOnly:

## Public Member Functions

| HeapOnly ()
void | destroy () const

## Protected Member Functions

virtual | ~HeapOnly ()

## Detailed Description

The HeapOnly class Restricts creation to heap.

See also
  http://en.wikibooks.org/wiki/More_C%2B%2B_Idioms/Requiring_or_Prohibiting_Heap-based_Objects

## Constructor & Destructor Documentation

## HeapOnly()

globjects::HeapOnly::HeapOnly | ( |  | ) |

## ~HeapOnly()

virtual globjects::HeapOnly::~HeapOnly | ( |  | ) |

protected virtual

## Member Function Documentation

## destroy()

void globjects::HeapOnly::destroy | ( |  | ) | const

The documentation for this class was generated from the following file:

- HeapOnly.h